#
# spec file for package apache2-mod_geoip (Version 1.2.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_geoip
BuildRequires: apache2-devel
%define modname mod_geoip
%define modapaver 2
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	1.2.7
Release:	1.1
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	GeoIP Apache API
Url:		http://www.maxmind.com/app/mod_geoip
Source0:	http://www.maxmind.com/download/geoip/api/mod_geoip2/%{modname}%{modapaver}_%{version}.tar.gz
Source1:	mod_geoip.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	GeoIP
BuildRequires:	libGeoIP-devel

%description
mod_geoip looks up the IP address of the client end user.

For the country database, mod_geoip sets two environment variables,
GEOIP_COUNTRY_CODE and GEOIP_COUNTRY_NAME.
For other databases, see the README file included with the mod_geoip API.

It also sets two entries in Apache's notes table with the same names as above.
For more documentation, see the README file included with the mod_geoip API download. 


%debug_package
%prep
%setup -n %{modname}%{modapaver}_%{version}

%build
%{apxs} -a -L%{_libdir} -I%{_includedir} -lGeoIP -c %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf

%files
%defattr(-,root,root)
%doc Changes README*
%{apache_libexecdir}/*.so
%{apache_sysconfdir}/conf.d/%{modname}.conf

%changelog
* Sat Dec 17 2011 Carsten Schoene <cs@linux-administrator.com> - 1.2.7-1
- update to release 1.2.7

* Sun Oct 31 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package (1.2.5)
